# CHANGELOG.MD

## 2024-11
Added compat for Viles Series.
Added Proper MechanicalSawmill Textures.

Adjusted Flour Grind Recipe.

Added Compat for HMC(mainly corn flour).

Added Bulk weaving recipe for cloth and flaxcloth.

## 2024-08-13
Emergency Failure Recovery from a catastrocpy $rm -rf without dryrun.
updated to 1.5
added Patches/PRestoreRoyaltyWeaponRecipe.xml

## 2024-04-05
Make x4 bulk meal recipes to all cook stove.
Make Bulk wood cutting recipes available to Mechanical & Electrical sawmill.
Fixed Rimfeller Easy Factory tech prerequsite.
Removed Bulk food ingrident research.
Make Soymilk Bulk.
Make cheese Bulk.
Make most bread Bulk.

## 2023-12
More Tools Compat.

---
### HOW TO PATCH A TOOL
1. Change `thingClass` to `SurvivalToolsLite.SurvivalTool`
2. Add `ToolEffectivenessFactor` to `statBases`
3. Remove XML block `equippedStatOffsets`
4. Add ModExtension `SurvivalToolsLite.SurvivalToolProperties`
```XML
			<li Class="PatchOperationAdd">
				<xpath>Defs/ThingDef[defName="TFJ_Tool_Woodcutting_Handaxe"]</xpath>
				<value>
				  <thingClass>SurvivalToolsLite.SurvivalTool</thingClass>
				</value>
			</li>
			<li Class="PatchOperationAdd">
				<xpath>Defs/ThingDef[defName="TFJ_Tool_Woodcutting_Handaxe"]/statBases</xpath>
				<value>
				  <ToolEffectivenessFactor>1</ToolEffectivenessFactor>
				</value>
			</li>
			<li Class="PatchOperationRemove">
				<xpath>Defs/ThingDef[defName="TFJ_Tool_Woodcutting_Handaxe"]/equippedStatOffsets/PlantWorkSpeed</xpath>
			</li>			
			<li Class="PatchOperationAddModExtension">
				<xpath>Defs/ThingDef[defName="TFJ_Tool_Woodcutting_Handaxe"]</xpath>
				<value>
					<li Class="SurvivalToolsLite.SurvivalToolProperties">
						<baseWorkStatFactors>
							<TreeFellingSpeed>1.4</TreeFellingSpeed>
							<PlantHarvestingSpeed>0.7</PlantHarvestingSpeed>
						</baseWorkStatFactors>
						<defaultSurvivalToolAssignmentTags>
							<li>PlantWorker</li>
						</defaultSurvivalToolAssignmentTags>
					</li>
				</value>
			</li>
```

## 2023-10-11
Added Flickable Comp to CORESK/Sunlamp
Added Mechanical Woodcutter to fill the gap between Manual one & Electric one.

## 2023-06-15
Created Changelog.md
Renamed Project to isekaiob.HSKGrinder
Added Enlarged Composer, Enlarged DryingRack,respective Bulk processing recipes.
